/*
* method for parsing a Table into an array of 12 strings, 1 to hold titles for each month
* table must begin with a header row and have two columns: month, title
*/

String[] titleWords = new String[12]; // to collect SPL titles for each month
int[] splCountByMonth = new int[12]; // to store count of titles for ea month


String[] parseTable(Table table, String[] stringArray) {
  
  String[] months = {"1", "2", "3", "4", "5", "6", "7", "8", "9", "10", "11", "12"};
  int nextMonthRow = 0;
  int startRow = 1; 
  
  for(int j = 0; j<11; j++) { // for 12 months; Jan. is 0
    println("jmonth="+j);
    nextMonthRow = table.getRowIndex(months[j+1]); // what row does the next month's data begin?
    if(nextMonthRow != -1) {
      println("startRow: "+startRow);
      println("nextMonthRow: "+nextMonthRow);
    
      // read titles for current month into StringBuffer
      StringBuffer result = new StringBuffer();
      for(int k =startRow; k<nextMonthRow; k++) {
        splCountByMonth[j]++; 
        result.append(table.getString(k,1)); // append titles from 2nd column of tableData 
        result.append(" "); //append space at end
        startRow = k;
      } // at the end of this loop, all data for one month is stored in result
      stringArray[j] = result.toString(); // dump all titles into a string in the array titleWords
      startRow = startRow+1;  // increment to next row (first time must skip first row of labels)
    }
  }
  // add the last month's data
  println("***last month***"); 
  nextMonthRow = table.getRowCount(); // end
  println("startRow: "+startRow);
  println("final row: "+nextMonthRow);
  StringBuffer result = new StringBuffer();
    for(int k =startRow; k<nextMonthRow; k++) {
      splCountByMonth[11]++;
      result.append(table.getString(k,1)); // append titles from 2nd column of tableData 
      result.append(" "); //append space at end
      startRow = k;
    } // at the end of this loop, all data for one month is stored in result
    stringArray[11] = result.toString(); // dump all titles to string
//  println("stringArray[10]: "+stringArray[10]);
    for(int i=0; i<12; i++) {
      println("splCountByMonth["+i+"]: "+splCountByMonth[i]);
    }
   return stringArray;
 }
